## liblxqt 0.9.0+20150806

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(liblxqt)

set(LXQT_MAJOR_VERSION 0)
set(LXQT_MINOR_VERSION 9)
set(LXQT_PATCH_VERSION 0)

include(CMakePackageConfigHelpers)
include(GNUInstallDirs) # Standard directories for installation

#-----------------------------------------------------------------------------
# LXQT_DATA_DIR defaults to CMAKE_INSTALL_FULL_DATADIR. It's added to
#   XDG_DATA_DIRS by the startlxqt script
# Warning: Setting LXQT_DATA_DIR must be done after including GNUInstallDirs
#-----------------------------------------------------------------------------
if (NOT DEFINED LXQT_DATA_DIR)
    set(LXQT_DATA_DIR "${CMAKE_INSTALL_FULL_DATADIR}" CACHE PATH
        "LXQt base directory relative to which data files should be searched"
    )
endif()

#-----------------------------------------------------------------------------
# Release is the default build type
#-----------------------------------------------------------------------------
if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

set(LXQT_PKG_CONFIG_DESCRIPTION "Shared library for LXQt applications")

set(PUB_HDRS
    lxqthtmldelegate.h
    lxqtsettings.h
    lxqtplugininfo.h
    lxqtpowermanager.h
    lxqtscreensaver.h
    lxqtapplication.h
    lxqtsingleapplication.h
    lxqttranslator.h
    lxqtprogramfinder.h

    configdialog/lxqtconfigdialog.h
    configdialog/lxqtpageselectwidget.h

    lxqtpower/lxqtpower.h
    lxqtnotification.h
    lxqtautostartentry.h
    lxqtgridlayout.h
    lxqtrotatedwidget.h
    lxqtglobals.h
)

set(PUBLIC_CLASSES
    HtmlDelegate
    Settings
    PluginInfo
    PowerManager
    ScreenSaver
    Application
    SingleApplication
    Translator
    ProgramFinder

    ConfigDialog
    PageSelectWidget

    Power
    Notification
    AutostartEntry
    GridLayout
    RotatedWidget
)

set(SRCS
    lxqthtmldelegate.cpp
    lxqtplugininfo.cpp
    lxqtpowermanager.cpp
    lxqtsettings.cpp
    lxqtscreensaver.cpp
    lxqtapplication.cpp
    lxqtsingleapplication.cpp
    lxqttranslator.cpp
    lxqtprogramfinder.cpp

    configdialog/lxqtconfigdialog.cpp
    configdialog/lxqtpageselectwidget.cpp

    lxqtpower/lxqtpower.cpp
    lxqtpower/lxqtpowerproviders.cpp
    lxqtautostartentry.cpp
    lxqtnotification.cpp
    lxqtgridlayout.cpp
    lxqtrotatedwidget.cpp
)

set(MOCS
    lxqthtmldelegate.h
    lxqtpowermanager.h
    lxqtsettings.h
    lxqtscreensaver.h
    lxqtapplication.h

    configdialog/lxqtconfigdialog.h
    configdialog/lxqtpageselectwidget.h

    lxqtnotification.h
    lxqtnotification_p.h
    lxqtpower/lxqtpower.h
    lxqtpower/lxqtpowerproviders.h
    lxqtgridlayout.h
    lxqtrotatedwidget.h
)

set(FORMS
    configdialog/lxqtconfigdialog.ui
)

# additional cmake files
list(APPEND CMAKE_MODULE_PATH
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake"
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

find_package(Qt5Widgets REQUIRED QUIET)
find_package(Qt5DBus REQUIRED QUIET)
find_package(Qt5X11Extras REQUIRED QUIET)
find_package(Qt5LinguistTools REQUIRED QUIET)
find_package(Qt5Xdg REQUIRED QUIET)
find_package(KF5WindowSystem REQUIRED QUIET)
message(STATUS "Building with Qt ${Qt5Core_VERSION_STRING}")

QT5_ADD_DBUS_INTERFACE(SRCS
    dbus/org.freedesktop.Notifications.xml
    notifications_interface
)

QT5_ADD_DBUS_ADAPTOR(SRCS
    dbus/org.lxqt.SingleApplication.xml
    lxqtsingleapplication.h LxQt::SingleApplication
)

set(LXQT_QT_VERSION "5")

# KF5WindowSystem is missing here. KF5WindowSystem doesn't provide an .pc file.
set(LXQT_PKG_CONFIG_REQUIRES "Qt5Xdg >= 1.2.0, Qt5Widgets, Qt5Xml, Qt5DBus, Qt5X11Extras")


# Standard directories for installation
include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtCreatePkgConfigFile)
include(cmake/FindInstallConfigPath.cmake) # sets LXQT_ETC_XDG_DIR, if unset
include(create_portable_headers)

set(LXQT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PATCH_VERSION})
set(LXQT_LIBRARY_NAME "lxqt" CACHE STRING "lxqt")
set(LXQT_RELATIVE_SHARE_DIR "${LXQT_LIBRARY_NAME}")
set(LXQT_SHARE_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/${LXQT_RELATIVE_SHARE_DIR}")
set(LXQT_RELATIVE_TRANSLATIONS_DIR "${LXQT_LIBRARY_NAME}/translations")
set(LXQT_TRANSLATIONS_DIR "${LXQT_SHARE_DIR}/translations")

set(LXQT_INTREE_INCLUDE_DIR "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/include")
set(LXQT_INTREE_TARGETS_FILE "${CMAKE_BINARY_DIR}/${LXQT_LIBRARY_NAME}-targets.cmake")

set(LXQT_INSTALL_INCLUDE_DIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}/${LXQT_LIBRARY_NAME}")
set(LXQT_INSTALL_CMAKE_DIR "${CMAKE_INSTALL_PREFIX}/share/cmake")


## Translations
include(LXQtTranslateTs)

lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${SRCS}
        ${FORMS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

message(STATUS "")
message(STATUS "liblxqt version: ${LXQT_VERSION}")
message(STATUS "")


# Copy public headers
foreach(h ${PUB_HDRS})
    get_filename_component(bh ${h} NAME)
    configure_file(${h} "${LXQT_INTREE_INCLUDE_DIR}/LXQt/${bh}" COPYONLY)
endforeach()

# Create the portable headers
create_portable_headers(INTREE_PORTABLE_HEADERS "${LXQT_INTREE_INCLUDE_DIR}/LXQt" ${PUBLIC_CLASSES})
check_portable_headers(H_FILES ${PUB_HDRS} LINKS "${INTREE_PORTABLE_HEADERS}")

#************************************************
# Create in-tree build infrastructure
#************************************************
set(CFG_LXQT_TARGETS_FILE   "${LXQT_INTREE_TARGETS_FILE}")
set(CFG_LXQT_CMAKE_MODULES_DIR "${PROJECT_SOURCE_DIR}/cmake/modules")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/lxqt-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${LXQT_LIBRARY_NAME}-config.cmake"
    INSTALL_DESTINATION "neverland"     # required, altough we don't install it
)

#************************************************
# Create installable build infrastructure
#************************************************
set(CFG_LXQT_TARGETS_FILE "${LXQT_INSTALL_CMAKE_DIR}/${LXQT_LIBRARY_NAME}/${LXQT_LIBRARY_NAME}-targets.cmake")
set(CFG_LXQT_CMAKE_MODULES_DIR "${LXQT_INSTALL_CMAKE_DIR}/${LXQT_LIBRARY_NAME}/modules")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/lxqt-config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/install/${LXQT_LIBRARY_NAME}-config.cmake"
    INSTALL_DESTINATION "${LXQT_INSTALL_CMAKE_DIR}/${LXQT_LIBRARY_NAME}"
)

write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/${LXQT_LIBRARY_NAME}-config-version.cmake"
    VERSION ${LXQT_VERSION}
    COMPATIBILITY AnyNewerVersion
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/install/${LXQT_LIBRARY_NAME}-config.cmake"
    "${CMAKE_BINARY_DIR}/${LXQT_LIBRARY_NAME}-config-version.cmake"
    DESTINATION "${LXQT_INSTALL_CMAKE_DIR}/${LXQT_LIBRARY_NAME}"
    COMPONENT Devel
)

install(EXPORT
    ${LXQT_LIBRARY_NAME}-targets
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LXQT_LIBRARY_NAME}"
    COMPONENT Devel
)

file(GLOB toInstallModules
    "${PROJECT_SOURCE_DIR}/cmake/modules/*.cmake"
    "${PROJECT_SOURCE_DIR}/cmake/modules/*.in"
)

install(
    FILES ${toInstallModules}
    DESTINATION "${LXQT_INSTALL_CMAKE_DIR}/${LXQT_LIBRARY_NAME}/modules"
    COMPONENT Devel
)

add_library(${LXQT_LIBRARY_NAME}
    SHARED ${PUB_HDRS}
           ${SRCS}
           ${dbus_generated}
           ${UIS} ${MOCS}
           ${QM_FILES}
           ${QRC_CXX_SOURCES}

)

target_link_libraries(${LXQT_LIBRARY_NAME}
    PUBLIC
        KF5::WindowSystem
        Qt5::Widgets
        Qt5::DBus
        Qt5::X11Extras
        Qt5Xdg
)

set_target_properties(${LXQT_LIBRARY_NAME} PROPERTIES
    VERSION   ${LXQT_VERSION}
    SOVERSION ${LXQT_MAJOR_VERSION}
)

target_compile_definitions(${LXQT_LIBRARY_NAME}
    PRIVATE "LXQT_RELATIVE_SHARE_DIR=\"${LXQT_RELATIVE_SHARE_DIR}\""
    PRIVATE "LXQT_SHARE_DIR=\"${LXQT_SHARE_DIR}\""
    PRIVATE "LXQT_RELATIVE_SHARE_TRANSLATIONS_DIR=\"${LXQT_RELATIVE_TRANSLATIONS_DIR}\""
    PRIVATE "LXQT_SHARE_TRANSLATIONS_DIR=\"${LXQT_TRANSLATIONS_DIR}\""
    PRIVATE "LXQT_ETC_XDG_DIR=\"${LXQT_ETC_XDG_DIR}\""
    PRIVATE "LXQT_DATA_DIR=\"${LXQT_DATA_DIR}\""
    PRIVATE "LXQT_VERSION=\"${LXQT_VERSION}\""
    PRIVATE "COMPILE_LIBLXQT"
)

target_compile_definitions(${LXQT_LIBRARY_NAME}
    PRIVATE "$<$<CONFIG:Release>:QT_NO_DEBUG_OUTPUT>"
    PRIVATE "$<$<CONFIG:Release>:QT_NO_WARNING_OUTPUT>"
)

target_include_directories(${LXQT_LIBRARY_NAME}
    INTERFACE "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${LXQT_LIBRARY_NAME}>"
    INTERFACE "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${LXQT_LIBRARY_NAME}/LXQt>"
)

target_include_directories(${LXQT_LIBRARY_NAME}
    INTERFACE "$<BUILD_INTERFACE:${LXQT_INTREE_INCLUDE_DIR}>"
    INTERFACE "$<BUILD_INTERFACE:${LXQT_INTREE_INCLUDE_DIR}/LXQt>"
)

install(TARGETS
    ${LXQT_LIBRARY_NAME}
    DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    EXPORT ${LXQT_LIBRARY_NAME}-targets
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    COMPONENT Runtime
)

export(TARGETS ${LXQT_LIBRARY_NAME}
    APPEND FILE "${LXQT_INTREE_TARGETS_FILE}"
    EXPORT_LINK_INTERFACE_LIBRARIES
)

install(FILES
    ${PUB_HDRS}
    DESTINATION "${LXQT_INSTALL_INCLUDE_DIR}/LXQt"
    COMPONENT Devel
)

install(FILES
    ${INTREE_PORTABLE_HEADERS}
    DESTINATION "${LXQT_INSTALL_INCLUDE_DIR}/LXQt"
    COMPONENT Devel
)

#************************************************
# Create and install pkgconfig file
#************************************************
lxqt_create_pkgconfig_file(
    PACKAGE_NAME ${LXQT_LIBRARY_NAME}
    DESCRIPTIVE_NAME ${LXQT_LIBRARY_NAME}
    DESCRIPTION ${LXQT_PKG_CONFIG_DESCRIPTION}
    INCLUDEDIRS ${LXQT_LIBRARY_NAME}
    LIBS ${LXQT_LIBRARY_NAME}
    REQUIRES ${LXQT_PKG_CONFIG_REQUIRES}
    VERSION ${LXQT_VERSION}
    INSTALL
)
#************************************************


# building tarball with CPack -------------------------------------------------
include(InstallRequiredSystemLibraries)
set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
set(CPACK_GENERATOR TBZ2)
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include(CPack)

=== debian/changelog ===
liblxqt (0.9.0+20150806-2) unstable; urgency=medium

  * Apply extra-libdrm.diff patch from Pino Toscano <pino@debian.org> to
    fix ftbfs on hurd. (Closes:#795577)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 17 Aug 2015 17:27:18 +0800

liblxqt (0.9.0+20150806-1) unstable; urgency=medium

  [ Alf Gaida ]
  * source options added - don't provide .gitignore in package.
  * make the rules less verbos and drop the not needed QT5 switch.
  * drop remaining .tx directory.

  [ ChangZhuo Chen (陳昌倬) ]
  * Update d/watch with PGP key.
  * Ignore anything except debian directory.

  [ Alf Gaida ]
  * changed team an vcs fields build dependency libqtxdg fixed.
  * some changes in debian $foo.
  * drop metapackages.

  [ Andrew Lee (李健秋) ]
  * Merging upstream version 0.9.0+20150806.
  * Removing whitespaces at EOL and EOF.
  * Added myself as Uploader.
  * Sorting build-depends.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 13 Aug 2015 21:36:40 +0800

liblxqt (0.9.0-1) experimental; urgency=low

  * Initial release (Closes: #747620)

 -- Alf Gaida <agaida@siduction.org>  Sat, 14 Feb 2015 15:59:22 +0100

=== debian/control ===
Source: liblxqt
Section: libs
Priority: optional
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders:
 Alf Gaida <agaida@siduction.org>,
 ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
 Andrew Lee (李健秋) <ajqlee@debian.org>
Build-Depends:
 cmake (>= 3.0.2),
 debhelper (>= 9),
 libdrm-dev [!hurd-any],
 libkf5windowsystem-dev (>= 5.9),
 libqt5x11extras5-dev (>= 5.3),
 libqt5xdg-dev (>= 1.2.0),
 libx11-dev,
 pkg-config,
 qttools5-dev (>= 5.3),
 qttools5-dev-tools (>= 5.3),
Standards-Version: 3.9.6
Homepage: https://github.com/lxde/liblxqt
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/liblxqt.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/liblxqt.git

Package: liblxqt0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Breaks: liblxqt-qt5-0 (<< 0.9.0)
Replaces: liblxqt-qt5-0 (<< 0.9.0)
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the shared libraries needed by the LXQt desktop
 environment.

Package: liblxqt0-dev
Architecture: any
Section: libdevel
Depends:
 ${misc:Depends},
 liblxqt0 (= ${binary:Version}),
Breaks: liblxqt-qt5-0-dev (<< 0.9.0)
Replaces: liblxqt-qt5-0-dev (<< 0.9.0)
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the development files.

Package: liblxqt0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends:
 ${misc:Depends},
 liblxqt0 (= ${binary:Version}),
Breaks: liblxqt-qt5-0-dbg (<< 0.9.0)
Replaces: liblxqt-qt5-0-dbg (<< 0.9.0)
Description: Shared libraries for LXQt desktop environment (debug)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1


%:
	dh ${@} --buildsystem cmake --dbg-package=liblxqt0-dbg --parallel


override_dh_install:
	dh_install --list-missing --fail-missing

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    http://downloads.lxqt.org/lxqt/([\d\.]+)/ liblxqt-([\d\.]+)\.tar\.xz

## liblxqt 0.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 project(liblxqt)
 
 set(LXQT_MAJOR_VERSION 0)
-set(LXQT_MINOR_VERSION 9)
+set(LXQT_MINOR_VERSION 10)
 set(LXQT_PATCH_VERSION 0)
 
 include(CMakePackageConfigHelpers)
@@ -145,7 +145,7 @@
 
 QT5_ADD_DBUS_ADAPTOR(SRCS
     dbus/org.lxqt.SingleApplication.xml
-    lxqtsingleapplication.h LxQt::SingleApplication
+    lxqtsingleapplication.h LXQt::SingleApplication
 )
 
 set(LXQT_QT_VERSION "5")

=== debian/changelog ===
liblxqt (0.10.0-1ubuntu1) xenial; urgency=medium

  * Merge from Debian experimental. Ubuntu changes:
  * debian/control:
   - Add a liblxqt-data binary for translations.
   - Make liblxqt0 depends on liblxqt-data.
  * debian/liblxqt0.install & debian/liblxqt-data.install
   - Move translations files to liblxqt-data binary.

 -- Julien Lavergne <gilir@ubuntu.com>  Fri, 06 Nov 2015 21:18:07 +0100

liblxqt (0.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 03 Nov 2015 12:25:16 +0800

liblxqt (0.9.0+20151026-1) experimental; urgency=medium

  * Cherry-picked upstream-version 0.9.0+20151026.
  * Remove --list-missing from rules, it's included in --fail-missing
  * Fixed Symbols

 -- Alf Gaida <agaida@siduction.org>  Thu, 29 Oct 2015 19:05:56 +0100

liblxqt (0.9.0+20150911-2) experimental; urgency=medium

  * Bump version in symbols control file for LxQt to LXQT transition.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Sep 2015 10:28:33 +0800

liblxqt (0.9.0+20150911-1) experimental; urgency=medium

  [ Alf Gaida ]
  * Cherry-picked upstream version 0.9.0+20150911. 
  * Removed the libdrm-dev build dependency, as libdrm-dev is thrown in
    by other packages if needed in $architecture 
  * Fixed copyright, only LGPL2.1+ is used
  * Removed breaks/replaces
  * Fixed watch file
  * Fixed Symbols

  [ ChangZhuo Chen (陳昌倬) ]
  * Upload to experimental due to namespace change from LxQt to LXQt.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 18 Sep 2015 21:16:59 +0800

=== debian/control ===
Source: liblxqt
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: cmake (>= 3.0.2),
               debhelper (>= 9),
               libkf5windowsystem-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev,
               libx11-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/liblxqt.git/?h=debian
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/liblxqt.git -b debian
Homepage: https://github.com/lxde/liblxqt

Package: liblxqt0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         liblxqt-data
Pre-Depends: ${misc:Pre-Depends}
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the shared libraries needed by the LXQt desktop
 environment.

Package: liblxqt-data
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: liblxqt0 (<< 0.9.0+20150911-2ubuntu1)
Breaks: liblxqt0 (<< 0.9.0+20150911-2ubuntu1)
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the translations files.

Package: liblxqt0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         liblxqt0 (= ${binary:Version})
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the development files.

Package: liblxqt0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${misc:Depends},
         liblxqt0 (= ${binary:Version})
Description: Shared libraries for LXQt desktop environment (debug)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake --dbg-package=liblxqt0-dbg --parallel


override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/liblxqt/releases .*/([\d\.]+).tar.gz

## liblxqt 0.11.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(liblxqt)

set(QT_MINIMUM_VERSION "5.4.2")
set(QTXDG_MINIMUM_VERSION "2.0.0")
set(LXQTBT_MINIMUM_VERSION "0.3.1")

include(CMakePackageConfigHelpers)
include(GNUInstallDirs) # Standard directories for installation

#-----------------------------------------------------------------------------
# Release is the default build type
#-----------------------------------------------------------------------------
if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

set(LXQT_PKG_CONFIG_DESCRIPTION "Shared library for LXQt applications")

set(PUB_HDRS
    lxqthtmldelegate.h
    lxqtsettings.h
    lxqtplugininfo.h
    lxqtpowermanager.h
    lxqtscreensaver.h
    lxqtapplication.h
    lxqtsingleapplication.h
    lxqttranslator.h
    lxqtprogramfinder.h

    configdialog/lxqtconfigdialog.h
    configdialog/lxqtpageselectwidget.h

    lxqtpower/lxqtpower.h
    lxqtnotification.h
    lxqtautostartentry.h
    lxqtgridlayout.h
    lxqtrotatedwidget.h
    lxqtglobals.h
)

set(PUBLIC_CLASSES
    HtmlDelegate
    Settings
    PluginInfo
    PowerManager
    ScreenSaver
    Application
    SingleApplication
    Translator
    ProgramFinder

    ConfigDialog
    PageSelectWidget

    Power
    Notification
    AutostartEntry
    GridLayout
    RotatedWidget
)

set(SRCS
    lxqthtmldelegate.cpp
    lxqtplugininfo.cpp
    lxqtpowermanager.cpp
    lxqtsettings.cpp
    lxqtscreensaver.cpp
    lxqtapplication.cpp
    lxqtsingleapplication.cpp
    lxqttranslator.cpp
    lxqtprogramfinder.cpp

    configdialog/lxqtconfigdialog.cpp
    configdialog/lxqtpageselectwidget.cpp

    lxqtpower/lxqtpower.cpp
    lxqtpower/lxqtpowerproviders.cpp
    lxqtautostartentry.cpp
    lxqtnotification.cpp
    lxqtgridlayout.cpp
    lxqtrotatedwidget.cpp
)

set(MOCS
    lxqthtmldelegate.h
    lxqtpowermanager.h
    lxqtsettings.h
    lxqtscreensaver.h
    lxqtapplication.h

    configdialog/lxqtconfigdialog.h
    configdialog/lxqtpageselectwidget.h

    lxqtnotification.h
    lxqtnotification_p.h
    lxqtpower/lxqtpower.h
    lxqtpower/lxqtpowerproviders.h
    lxqtgridlayout.h
    lxqtrotatedwidget.h
)

set(FORMS
    configdialog/lxqtconfigdialog.ui
)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
find_package(X11 REQUIRED QUIET)
find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets DBus X11Extras LinguistTools)
find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
find_package(KF5WindowSystem REQUIRED QUIET)
message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION_STRING}")

QT5_ADD_DBUS_INTERFACE(SRCS
    dbus/org.freedesktop.Notifications.xml
    notifications_interface
)

QT5_ADD_DBUS_ADAPTOR(SRCS
    dbus/org.lxqt.SingleApplication.xml
    lxqtsingleapplication.h LXQt::SingleApplication
)


# KF5WindowSystem is missing here. KF5WindowSystem doesn't provide an .pc file.
set(LXQT_PKG_CONFIG_REQUIRES "Qt5Xdg >= ${QTXDG_MINIMUM_VERSION}, Qt5Widgets >= ${QT_MINIMUM_VERSION}, Qt5Xml >= ${QT_MINIMUM_VERSION}, Qt5DBus >= ${QT_MINIMUM_VERSION}, Qt5X11Extras >= ${QT_MINIMUM_VERSION}")


# Standard directories for installation
include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtCreatePkgConfigFile)
include(LXQtCreatePortableHeaders)
include(LXQtConfigVars)

set(LXQT_INTREE_INCLUDE_DIR "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/include")

set(LXQT_INSTALL_INCLUDE_DIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}/${LXQT_LIBRARY_NAME}")
set(LXQT_INSTALL_CMAKE_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/cmake")


## Translations
include(LXQtTranslateTs)

lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${SRCS}
        ${FORMS}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
    PULL_TRANSLATIONS
        ${PULL_TRANSLATIONS}
    CLEAN_TRANSLATIONS
        ${CLEAN_TRANSLATIONS}
    TRANSLATIONS_REPO
        ${TRANSLATIONS_REPO}
    TRANSLATIONS_REFSPEC
        ${TRANSLATIONS_REFSPEC}
)

message(STATUS "")
message(STATUS "liblxqt version: ${LXQT_VERSION}")
message(STATUS "")


# Copy public headers
foreach(h ${PUB_HDRS})
    get_filename_component(bh ${h} NAME)
    configure_file(${h} "${LXQT_INTREE_INCLUDE_DIR}/LXQt/${bh}" COPYONLY)
endforeach()

# Create the portable headers
lxqt_create_portable_headers(INTREE_PORTABLE_HEADERS
    NAME_PREFIX "lxqt"
    OUTPUT_DIR "${LXQT_INTREE_INCLUDE_DIR}/LXQt"
    HEADER_NAMES ${PUBLIC_CLASSES}
)

#check_portable_headers(H_FILES ${PUB_HDRS} LINKS "${INTREE_PORTABLE_HEADERS}")

#************************************************
# Create in-tree build infrastructure
#************************************************
set(CFG_LXQT_TARGETS_FILE   "${LXQT_INTREE_TARGETS_FILE}")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/lxqt-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${LXQT_LIBRARY_NAME}-config.cmake"
    INSTALL_DESTINATION "neverland"     # required, altough we don't install it
)

#************************************************
# Create installable build infrastructure
#************************************************
set(CFG_LXQT_TARGETS_FILE "${LXQT_INSTALL_CMAKE_DIR}/${LXQT_LIBRARY_NAME}/${LXQT_LIBRARY_NAME}-targets.cmake")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/lxqt-config.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/install/${LXQT_LIBRARY_NAME}-config.cmake"
    INSTALL_DESTINATION "${LXQT_INSTALL_CMAKE_DIR}/${LXQT_LIBRARY_NAME}"
)

write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/${LXQT_LIBRARY_NAME}-config-version.cmake"
    VERSION ${LXQT_VERSION}
    COMPATIBILITY AnyNewerVersion
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/install/${LXQT_LIBRARY_NAME}-config.cmake"
    "${CMAKE_BINARY_DIR}/${LXQT_LIBRARY_NAME}-config-version.cmake"
    DESTINATION "${LXQT_INSTALL_CMAKE_DIR}/${LXQT_LIBRARY_NAME}"
    COMPONENT Devel
)

install(EXPORT
    ${LXQT_LIBRARY_NAME}-targets
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LXQT_LIBRARY_NAME}"
    COMPONENT Devel
)

add_library(${LXQT_LIBRARY_NAME}
    SHARED ${PUB_HDRS}
           ${SRCS}
           ${dbus_generated}
           ${UIS} ${MOCS}
           ${QM_FILES}
           ${QRC_CXX_SOURCES}

)

target_link_libraries(${LXQT_LIBRARY_NAME}
    PUBLIC
        KF5::WindowSystem
        Qt5::Widgets
        Qt5::DBus
        Qt5::X11Extras
        Qt5Xdg
    PRIVATE
        ${X11_Xscreensaver_LIB}
        ${X11_X11_LIB}
)

set_target_properties(${LXQT_LIBRARY_NAME} PROPERTIES
    VERSION   ${LXQT_VERSION}
    SOVERSION ${LXQT_MAJOR_VERSION}
)

target_compile_definitions(${LXQT_LIBRARY_NAME}
    PRIVATE
        "LXQT_RELATIVE_SHARE_DIR=\"${LXQT_RELATIVE_SHARE_DIR}\""
        "LXQT_SHARE_DIR=\"${LXQT_SHARE_DIR}\""
        "LXQT_RELATIVE_SHARE_TRANSLATIONS_DIR=\"${LXQT_RELATIVE_TRANSLATIONS_DIR}\""
        "LXQT_SHARE_TRANSLATIONS_DIR=\"${LXQT_TRANSLATIONS_DIR}\""
        "LXQT_GRAPHICS_DIR=\"${LXQT_GRAPHICS_DIR}\""
        "LXQT_ETC_XDG_DIR=\"${LXQT_ETC_XDG_DIR}\""
        "LXQT_DATA_DIR=\"${LXQT_DATA_DIR}\""
        "LXQT_INSTALL_PREFIX=\"${CMAKE_INSTALL_PREFIX}\""
        "LXQT_VERSION=\"${LXQT_VERSION}\""
        "COMPILE_LIBLXQT"
        "$<$<CONFIG:Release>:QT_NO_DEBUG_OUTPUT>"
        "$<$<CONFIG:Release>:QT_NO_WARNING_OUTPUT>"
)

if (Qt5Core_VERSION VERSION_LESS "5.9.0")
    if (NOT DEFINED WITH_XDG_DIRS_FALLBACK)
        set(WITH_XDG_DIRS_FALLBACK ON)
    endif ()
elseif (WITH_XDG_DIRS_FALLBACK)
    set(WITH_XDG_DIRS_FALLBACK OFF)
    message(WARNING "Disabling requested WITH_XDG_DIRS_FALLBACK workaround, as proper implementation is in Qt from v5.9.0")
endif ()
if (WITH_XDG_DIRS_FALLBACK)
    message(STATUS "Building with homemade QSettings XDG fallback workaround")
    target_compile_definitions(${LXQT_LIBRARY_NAME}
        PRIVATE "WITH_XDG_DIRS_FALLBACK"
    )
endif ()

target_include_directories(${LXQT_LIBRARY_NAME}
    INTERFACE
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${LXQT_LIBRARY_NAME}>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${LXQT_LIBRARY_NAME}/LXQt>"
        "$<BUILD_INTERFACE:${LXQT_INTREE_INCLUDE_DIR}>"
        "$<BUILD_INTERFACE:${LXQT_INTREE_INCLUDE_DIR}/LXQt>"
)

install(TARGETS
    ${LXQT_LIBRARY_NAME}
    DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    EXPORT ${LXQT_LIBRARY_NAME}-targets
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    COMPONENT Runtime
)

install(FILES
    ${PUB_HDRS}
    DESTINATION "${LXQT_INSTALL_INCLUDE_DIR}/LXQt"
    COMPONENT Devel
)

install(FILES
    ${INTREE_PORTABLE_HEADERS}
    DESTINATION "${LXQT_INSTALL_INCLUDE_DIR}/LXQt"
    COMPONENT Devel
)

#************************************************
# Create and install pkgconfig file
#************************************************
lxqt_create_pkgconfig_file(
    PACKAGE_NAME ${LXQT_LIBRARY_NAME}
    DESCRIPTIVE_NAME ${LXQT_LIBRARY_NAME}
    DESCRIPTION ${LXQT_PKG_CONFIG_DESCRIPTION}
    INCLUDEDIRS ${LXQT_LIBRARY_NAME}
    LIBS ${LXQT_LIBRARY_NAME}
    REQUIRES ${LXQT_PKG_CONFIG_REQUIRES}
    VERSION ${LXQT_VERSION}
    INSTALL
)
#************************************************

=== debian/changelog ===
liblxqt (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.11.1.
  * Bumped years in d/copyright
  * Removed build dependencies:
    - cmake
    - libqt5xdg-dev
    - libqt5xdgiconloader-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
   * Added build dependency lxqt-build-tools (>= 0.3.1)
   * Added dependencies:
     - libqt5xdg-dev
     - libqt5xdgiconloader-dev
     - lxqt-build-tools
  * Fixed l-dev.install

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 03:40:10 +0100

liblxqt (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream version 0.11.0.
  * Synced from experimental
  * Bumped build dependency debhelper (>=10)
  * Bump standards to 3.9.8
  * Bump years in copyright
  * Bumped compat to 10
  * Removed --parallel from rules, now standard
  * Bumped minimum version libqt5xdg-dev (>= 2.0.0)
  * Added build dependency libqt5xdgiconloader-dev (>= 2.0.0)
  * Added build dependency libxss-dev
  * Added Recommends liblxqt-l10n
  * Removed grep patch, merged upstream
  * Removed virtual ABI, no longer needed
  * Exported LC_ALL=C.UTF-8 - define language settings for reproducible
    builds
  * Fixed Format field in copyright
  * Fixed VCS fields, use plain /git/ 
  * Fix symbols, only use lxqt-abi-0-11-0
  * Added translation handling in rules
  * Deleted former patches 
  * Added DCMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Tue, 12 Jul 2016 21:17:33 +0200

liblxqt (0.10.0-5) unstable; urgency=medium

  * Bump Standards to 3.9.7
  * Secured VCS-fields
  * Added hardening=+all
  * patched LXQtTranslateDesktop.cmake - it's already fixed upstream
    but i don't want to catch up with upstream before the upcoming 
    release
  * Fixed years in copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 26 Feb 2016 19:00:57 +0100

liblxqt (0.10.0-4) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 26 Dec 2015 11:01:53 +0800

liblxqt (0.10.0-3) unstable; urgency=medium

  * Merge from experimental.
  * New upstream release.
  * Update symbols and provide lxqt-abi-0-10.0.
  * Added minimum libqtxdg version.
  * Removed the libdrm-dev build dependency, as libdrm-dev is thrown in
    by other packages if needed in $architecture.
  * Fixed copyright, only LGPL2.1+ is used.
  * Fixed watch file.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 15 Nov 2015 00:02:02 +0800

liblxqt (0.9.0+20150806-3) unstable; urgency=medium

  * Provide lxqt-abi-0-9-0
  * Fix VCS-Fields
  * Modify symbols, preparing the migration to 0.10.0 
  * Removed breaks and replaces

 -- Alf Gaida <agaida@siduction.org>  Mon, 09 Nov 2015 18:48:51 +0100

=== debian/control ===
Source: liblxqt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 10),
               libqt5svg5-dev,
               libkf5windowsystem-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxss-dev,
               lxqt-build-tools (>= 0.3.1)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/liblxqt.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/liblxqt.git -b debian/sid
Homepage: https://github.com/lxde/liblxqt

Package: liblxqt0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: liblxqt-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the shared libraries needed by the LXQt desktop
 environment.

Package: liblxqt0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         liblxqt0 (= ${binary:Version}),
         libqt5xdg-dev (>= 2.0.0),
         libqt5xdgiconloader-dev (>= 2.0.0),
         lxqt-build-tools
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the development files.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake \
		--fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPULL_TRANSLATIONS=OFF\
		-DUPDATE_TRANSLATIONS=OFF\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## liblxqt 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,25 @@
 
 project(liblxqt)
 
-set(QT_MINIMUM_VERSION "5.4.2")
-set(QTXDG_MINIMUM_VERSION "2.0.0")
-set(LXQTBT_MINIMUM_VERSION "0.3.1")
+set(QT_MINIMUM_VERSION "5.5.0")
+set(QTXDG_MINIMUM_VERSION "3.1.0")
+set(LXQTBT_MINIMUM_VERSION "0.4.0")
+
+# Major LXQt Version, belong to all components
+set(LXQT_MAJOR_VERSION 0)
+# Minor LXQt Version, belong to all components
+set(LXQT_MINOR_VERSION 12)
+#
+# Patch Version, belong *only* to the component
+# LXQt is 0.11 - liblxqt is at patch version 1
+# The official LXQt version will follow liblxqt.
+#
+# In a perfect world all components would have the same major- and minor- and
+# patch-version as liblxqt - in real life it will be fine if every component
+# has it's own patch version within a major/minor life cyle.
+#
+set(LXQT_PATCH_VERSION 0)
+set(LXQT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PATCH_VERSION})
 
 include(CMakePackageConfigHelpers)
 include(GNUInstallDirs) # Standard directories for installation
@@ -118,7 +134,7 @@
 find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets DBus X11Extras LinguistTools)
 find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
 find_package(KF5WindowSystem REQUIRED QUIET)
-message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION_STRING}")
+message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")
 
 QT5_ADD_DBUS_INTERFACE(SRCS
     dbus/org.freedesktop.Notifications.xml

=== debian/changelog ===
liblxqt (0.12.0-5) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed debian/gbp.conf
  * Removed branch from VCS fields

 -- Alf Gaida <agaida@siduction.org>  Wed, 13 Dec 2017 20:16:30 +0100

liblxqt (0.12.0-4) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 03:17:57 +0100

liblxqt (0.12.0-3) experimental; urgency=medium

  * Fixed needed version to build-tools (>= 0.4.0)

 -- Alf Gaida <agaida@siduction.org>  Mon, 23 Oct 2017 00:35:16 +0200

liblxqt (0.12.0-2) experimental; urgency=medium

  * Re-added explicit build dependencies, make the packaging more
    understandable:
    - libqt5xdg-dev (>= 3.1.0)
    - libqt5xdgiconloader-dev (>= 3.1.0)

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Oct 2017 17:28:18 +0200

liblxqt (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream version 0.12.0.
  * Switched to experimental
  * Bumped Standards to 4.1.1
  * Bumped dependencies
  * Fixed symbols
  * Added override for dh_missing in rules

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Oct 2017 14:28:46 +0200

liblxqt (0.11.1-2) unstable; urgency=medium

  * Bumped Standards to 4.0.0
  * Added dependencies desktop-file-utils and shared-mime-info
    (Closes: #866904)

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Jul 2017 20:03:10 +0200

=== debian/control ===
--- 
+++ 
@@ -9,19 +9,23 @@
                libqt5svg5-dev,
                libkf5windowsystem-dev,
                libqt5x11extras5-dev,
+               libqt5xdg-dev (>= 3.1.0),
+               libqt5xdgiconloader-dev (>= 3.1.0),
                libx11-dev,
                libxss-dev,
-               lxqt-build-tools (>= 0.3.1)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/liblxqt.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/liblxqt.git -b debian/sid
+               lxqt-build-tools (>= 0.4.0)
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/liblxqt.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/liblxqt.git
 Homepage: https://github.com/lxde/liblxqt
 
 Package: liblxqt0
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         desktop-file-utils,
+         shared-mime-info
 Recommends: liblxqt-l10n
 Pre-Depends: ${misc:Pre-Depends}
 Description: Shared libraries for LXQt desktop environment (libs)
@@ -38,9 +42,9 @@
 Section: libdevel
 Depends: ${misc:Depends},
          liblxqt0 (= ${binary:Version}),
-         libqt5xdg-dev (>= 2.0.0),
-         libqt5xdgiconloader-dev (>= 2.0.0),
-         lxqt-build-tools
+         libqt5xdg-dev (>= 3.1.0),
+         libqt5xdgiconloader-dev (>= 3.1.0),
+         lxqt-build-tools (>= 0.4.0)
 Description: Shared libraries for LXQt desktop environment (dev)
  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
  technologies. It has been tailored for users who value simplicity, speed, and

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/liblxqt/releases .*/liblxqt-([\d\.]+).tar.xz

## liblxqt 0.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,17 +2,17 @@
 
 project(liblxqt)
 
-set(QT_MINIMUM_VERSION "5.5.0")
+set(QT_MINIMUM_VERSION "5.7.1")
 set(QTXDG_MINIMUM_VERSION "3.1.0")
-set(LXQTBT_MINIMUM_VERSION "0.4.0")
+set(LXQTBT_MINIMUM_VERSION "0.5.0")
 
 # Major LXQt Version, belong to all components
 set(LXQT_MAJOR_VERSION 0)
 # Minor LXQt Version, belong to all components
-set(LXQT_MINOR_VERSION 12)
+set(LXQT_MINOR_VERSION 13)
 #
 # Patch Version, belong *only* to the component
-# LXQt is 0.11 - liblxqt is at patch version 1
+# LXQt is 0.13 - liblxqt is at patch version 0
 # The official LXQt version will follow liblxqt.
 #
 # In a perfect world all components would have the same major- and minor- and
@@ -24,6 +24,8 @@
 
 include(CMakePackageConfigHelpers)
 include(GNUInstallDirs) # Standard directories for installation
+
+add_subdirectory(lxqtbacklight/linux_backend/driver)
 
 #-----------------------------------------------------------------------------
 # Release is the default build type
@@ -46,6 +48,7 @@
     lxqtprogramfinder.h
 
     configdialog/lxqtconfigdialog.h
+    configdialog/lxqtconfigdialogcmdlineoptions.h
     configdialog/lxqtpageselectwidget.h
 
     lxqtpower/lxqtpower.h
@@ -54,6 +57,9 @@
     lxqtgridlayout.h
     lxqtrotatedwidget.h
     lxqtglobals.h
+    lxqtbacklight.h
+    #lxqtbacklight/virtual_backend.h
+    #lxqtbacklight/linux_backend/linuxbackend.h
 )
 
 set(PUBLIC_CLASSES
@@ -68,6 +74,7 @@
     ProgramFinder
 
     ConfigDialog
+    ConfigDialogCmdLineOptions
     PageSelectWidget
 
     Power
@@ -75,6 +82,8 @@
     AutostartEntry
     GridLayout
     RotatedWidget
+    Globals
+    Backlight
 )
 
 set(SRCS
@@ -89,6 +98,7 @@
     lxqtprogramfinder.cpp
 
     configdialog/lxqtconfigdialog.cpp
+    configdialog/lxqtconfigdialogcmdlineoptions.cpp
     configdialog/lxqtpageselectwidget.cpp
 
     lxqtpower/lxqtpower.cpp
@@ -97,6 +107,9 @@
     lxqtnotification.cpp
     lxqtgridlayout.cpp
     lxqtrotatedwidget.cpp
+    lxqtbacklight.cpp
+    lxqtbacklight/virtual_backend.cpp
+    lxqtbacklight/linux_backend/linuxbackend.cpp
 )
 
 set(MOCS
@@ -105,8 +118,10 @@
     lxqtsettings.h
     lxqtscreensaver.h
     lxqtapplication.h
+    lxqtbacklight.h
 
     configdialog/lxqtconfigdialog.h
+    configdialog/lxqtconfigdialog_p.h
     configdialog/lxqtpageselectwidget.h
 
     lxqtnotification.h
@@ -115,12 +130,23 @@
     lxqtpower/lxqtpowerproviders.h
     lxqtgridlayout.h
     lxqtrotatedwidget.h
+    lxqtbacklight/virtual_backend.h
+    lxqtbacklight/linux_backend/linuxbackend.h
 )
 
 set(FORMS
     configdialog/lxqtconfigdialog.ui
 )
 
+set(POLKIT_FILES
+    "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.backlight.pkexec.policy"
+)
+
+# Build Polkit file
+configure_file ( polkit/org.lxqt.backlight.pkexec.policy.in "${CMAKE_CURRENT_BINARY_DIR}/org.lxqt.backlight.pkexec.policy" )
+
+file(GLOB LXQT_CONFIG_FILES resources/*.conf)
+
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -130,28 +156,32 @@
 set(CMAKE_AUTOUIC ON)
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
-find_package(X11 REQUIRED QUIET)
+find_package(X11 REQUIRED)
 find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets DBus X11Extras LinguistTools)
 find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
-find_package(KF5WindowSystem REQUIRED QUIET)
+find_package(KF5WindowSystem REQUIRED)
+find_package(PolkitQt5-1 REQUIRED)
 message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")
 
-QT5_ADD_DBUS_INTERFACE(SRCS
+QT5_ADD_DBUS_INTERFACE(DBUS_INTERFACE_SRCS
     dbus/org.freedesktop.Notifications.xml
     notifications_interface
 )
 
-QT5_ADD_DBUS_ADAPTOR(SRCS
+QT5_ADD_DBUS_ADAPTOR(DBUS_ADAPTOR_SRCS
     dbus/org.lxqt.SingleApplication.xml
     lxqtsingleapplication.h LXQt::SingleApplication
 )
 
+set_property(SOURCE ${DBUS_INTERFACE_SRCS} ${DBUS_ADAPTOR_SRCS} PROPERTY SKIP_AUTOGEN ON)
+list(APPEND SRCS "${DBUS_INTERFACE_SRCS}" "${DBUS_ADAPTOR_SRCS}")
 
 # KF5WindowSystem is missing here. KF5WindowSystem doesn't provide an .pc file.
 set(LXQT_PKG_CONFIG_REQUIRES "Qt5Xdg >= ${QTXDG_MINIMUM_VERSION}, Qt5Widgets >= ${QT_MINIMUM_VERSION}, Qt5Xml >= ${QT_MINIMUM_VERSION}, Qt5DBus >= ${QT_MINIMUM_VERSION}, Qt5X11Extras >= ${QT_MINIMUM_VERSION}")
 
 
 # Standard directories for installation
+include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 include(LXQtCreatePkgConfigFile)
 include(LXQtCreatePortableHeaders)
@@ -284,6 +314,7 @@
         "LXQT_INSTALL_PREFIX=\"${CMAKE_INSTALL_PREFIX}\""
         "LXQT_VERSION=\"${LXQT_VERSION}\""
         "COMPILE_LIBLXQT"
+        "QT_NO_FOREACH"
         "$<$<CONFIG:Release>:QT_NO_DEBUG_OUTPUT>"
         "$<$<CONFIG:Release>:QT_NO_WARNING_OUTPUT>"
 )
@@ -331,6 +362,13 @@
     COMPONENT Devel
 )
 
+install(FILES ${LXQT_CONFIG_FILES}
+    DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/lxqt"
+    COMPONENT Runtime
+)
+
+install(FILES ${POLKIT_FILES} DESTINATION "${POLKITQT-1_POLICY_FILES_INSTALL_DIR}")
+
 #************************************************
 # Create and install pkgconfig file
 #************************************************

=== lxqtbacklight/linux_backend/driver/CMakeLists.txt ===

project(lxqt-backlight_backend)

set(C_FILES
    lxqtbacklight_backend.c
)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

if(NOT CMAKE_BUILD_TYPE)
    set( CMAKE_BUILD_TYPE Release )
endif (NOT CMAKE_BUILD_TYPE)

add_executable(${PROJECT_NAME}
    ${C_FILES}
)

install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION bin)

=== debian/changelog ===
liblxqt (0.13.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 15:48:30 -0700

liblxqt (0.13.0-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.12.0.
  * Bumped build dependencies liblqt5xdg* to >= 3.2.0~
  * Bumpde build dependency lxqt-build-tools to >= 0.5.0~
  * Fixed symbols for the new release
  * Added lintian overrides for the helper scripts and configurations
  * Removed multiarch=same - packages will not be co-installable anymore
  * Moved debian/.gitignore to ./.gitignore

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 18:49:19 +0200

liblxqt (0.12.0-7) unstable; urgency=medium

  * Really fix VCS-Git
  * Fixed watch file

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Apr 2018 23:02:11 +0200

liblxqt (0.12.0-6) unstable; urgency=medium

  * Fixed Hompage and Source to lxqt
  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Bumped year in copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Apr 2018 18:02:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: liblxqt
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
+               libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libkf5windowsystem-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 3.1.0),
-               libqt5xdgiconloader-dev (>= 3.1.0),
+               libqt5xdg-dev (>= 3.2.0~),
+               libqt5xdgiconloader-dev (>= 3.2.0~),
                libx11-dev,
                libxss-dev,
-               lxqt-build-tools (>= 0.4.0)
-Standards-Version: 4.1.2
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/liblxqt.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/liblxqt.git
-Homepage: https://github.com/lxde/liblxqt
+               lxqt-build-tools (>= 0.5.0~)
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
+Vcs-Git: https://salsa.debian.org/lxqt-team/liblxqt.git
+Homepage: https://github.com/lxqt/liblxqt
 
 Package: liblxqt0
 Architecture: any
-Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          desktop-file-utils,
@@ -44,7 +45,7 @@
          liblxqt0 (= ${binary:Version}),
          libqt5xdg-dev (>= 3.1.0),
          libqt5xdgiconloader-dev (>= 3.1.0),
-         lxqt-build-tools (>= 0.4.0)
+         lxqt-build-tools (>= 0.5.0~)
 Description: Shared libraries for LXQt desktop environment (dev)
  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
  technologies. It has been tailored for users who value simplicity, speed, and
